%define upstream_name    Dist-Zilla-Stash-PodWeaver
%define upstream_version 1.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A stash of config options for Pod::Weaver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::Stash::Plugins) >= 1.5.0
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This performs the the Dist::Zilla::Role::Stash manpage role (using the
Dist::Zilla::Role::DynamicConfig manpage and the
Dist::Zilla::Role::Stash::Plugins manpage).

When using the Dist::Zilla::Plugin::PodWeaver manpage with a
_config_plugin_ it's difficult to pass more configuration options to the
Pod::Weaver manpage plugins.

This is often the case when using a Dist::Zilla::Role::PluginBundle that
uses a Pod::Weaver::PluginBundle::Default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 366733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 1.4.0-1.mga3
+ Revision: 268119
- update to 1.004

* Thu Nov 03 2011 jquelin <jquelin> 1.3.0-1.mga2
+ Revision: 162204
- update to 1.003
- update to 1.002

* Wed Mar 16 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 72478
- imported package perl-Dist-Zilla-Stash-PodWeaver

